Ilmus VIKO 1.0.4

Ilmunud on VIKO versioon 1.0.4, mis on eelkõige tehniline uuendus. Suur osa VIKO koodist on 3…4 aastat vana ning seetõttu olid ühilduvusprobleemid PHP versioonidega alates 4.3.3 ja MySQL versioonidega alates 4.1.

Uues versioonis on muudetud globaalsete muutujate kasutamist ning sessioonide haldust selliselt, et VIKO töötab vaikimisi PHP turvaseadete korral (register_globals=Off).

Enne VIKO 1.0.4 installeerimist tasub uuendada MySQL versioon 4.1.x peale (värskeim on 4.1.13). Alates MySQL versioonist 4.1 on muudetud paroolide krüpteerimise algoritmi ning seetõttu rikub MySQL versiooniuuendus VIKO kasutajate paroolid.

Kui juba kasutate VIKO’t oma kooli serveril, tuleks kindlasti uuendada VIKO versioon 1.0.4 peale. MySQL uuendamisega 4.1.x peale soovitame natuke oodata – augustis lõpuks loodame avaldada VIKO järgmise versiooni, mis võimaldab sujuvamat üleminekut MySQL 4.1.x peale.

This entry was posted in Uncategorized. Bookmark the permalink.